Subject: Re: bug#31149: 27.0.50; (gui-get-selection nil 'text/html) returns mis-decoded text

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Nov 2021 02:07:32 +0100

Stefan Monnier <[email-masked]> writes:

> (gui-get-selection nil 'text/html)
>
> returns utf-16 text when the primary selection is owned by Mozilla, but
> we decode it as latin-1 instead, so it looks like garbage.

This should now be fixed on the trunk, and hopefully I didn't regress
anything, but I have not regressed anything.  (I've only tested on
Debian and Macos.)  Let me know whether I broke something.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no